=== debian/changelog ===
postgis (1.5.3-2) unstable; urgency=low

  * Moved pgsql2shp/shp2pgsql under conventional /usr/bin path.
    (closes: #648176)
  * New patch html_doc_resourcesi added: now installing HTML documentation. 
    Thanks Andrew Harvey.
    (closes: #649352)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Nov 2011 15:43:23 +0100

postgis (1.5.3-1) unstable; urgency=low

  * New upstream minor release, with fix for PostgreSQL 9.1.
  * Repository moved to git and changed Vcs-* fields in debian/control.
  * Removed obsolete debian/*_lenny.
  * Policy bumped to 3.9.2. No changes.
  * Moved to source format 3.0 with quilt support.
  * Dehelper compatibility level set to 8.
  * Updated README to reflect current location of template SQL files.
    (closes: #575622)
  * Postrm was assigned to the wrong package (postgis), which caused 
    unexpected behavior on purging. Now each purge of postgresql-*-postgis will
    cause extension removal.
    (closes: #596663)
  * Added PostgreSQL 9.1 support. 
    (closes: #633111)
  * Dropped PostgreSQL 8.4 support, as required for wheezy.
    (closes: #639474,#642356)
  * Fixed (again) README.Debian for paths.
    (closes: #575622)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 15 Sep 2011 15:14:57 +0200

postgis (1.5.2-1) unstable; urgency=low

  * New upstream release, with a few bug fixes.
  * Added shp2pgsql-gui binary.
  * Removed patches, applied upstream: getopt.	

 -- Alan Boudreault <aboudreault@mapgears.com>  Wed, 29 Sep 2010 09:16:10 -0400

postgis (1.5.1-5) unstable; urgency=high

  * This version requires geos >= 3.1.1, debian/control updated.
    (closes: #580462)
  * Moved libpostgis-java to java section.
  * README.Debian has been fixed for old lwpostgis.sql since ages. Just ack.
    (closes: #575622)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 24 May 2010 09:40:32 +0200

postgis (1.5.1-4) unstable; urgency=high

  * [PATCH] getopt.dpatch added to avoid var collisions among Postgis getopt
    and glibc one. That solves a FTBS on mips/mipsel.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 22 May 2010 19:03:39 +0200

postgis (1.5.1-3) unstable; urgency=medium

  * Removed custom CFLAGS which probably caused FTBS on mips/mipsel archs.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 22 May 2010 11:20:44 +0200

postgis (1.5.1-2) unstable; urgency=low

  * Added generator.dpatch to avoid a buffer overflow on alpha due to 
    a too narrow buffer apparently.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 17 May 2010 14:21:37 +0200

postgis (1.5.1-1) unstable; urgency=low

  * New upstream release, with a few bug fixes.

 -- Alan Boudreault <aboudreault@mapgears.com>  Sun, 16 May 2010 14:42:21 -0400

postgis (1.5.0-1) unstable; urgency=low

  * New upstream major release, with many enhancements.
  * Policy bumped to 3.8.4, no changes.
  * Added libxml2-dev as new build-dep. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 10 Mar 2010 09:32:20 +0100

postgis (1.4.0-2) unstable; urgency=low

  * Upload to unstable.
  * Better parameterized debian/rules against postgis $(VERSION).
  * Added dblatex and libcunit1-dev among build-deps.
  * Added postgis_comments.sql to contrib/ SQL templates.
  * Dropping 8.3 support, no more supported for squeeze.
    (closes: #559587)
  * Do not stop on error in postrm if the target dir does not exist.
    (closes: #560409)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 11 Dec 2009 13:10:34 +0100

postgis (1.4.0-1) experimental; urgency=low

  * New upstream release. 
  * Updated configure arguments now obsolete/changed.
  * Required some new var initialization for installing in debian/ its trees.
  * The liblwgeom solib is now named postgis, so changed a few things around.
  * Updated build-dep: proj -> libproj-dev.
  * Policy bumped to 3.8.3. No changes.
  * Debhelper level set to 7.
  * Added ${misc:Depends}.
  * Now postgresql >= 8.3, geos >= 3 and proj >= 4.5 are required. This is
    reflected in debian/control for safety.
  * Added PostgreSQL 8.4 support, the 8.3 version will be dropped when 
    required. Now the .in template for postrm changed for multiversioning.
  * Now build-dep on default-jdk which is DFSG-safe.
  * Removed Fabio Tranchitella among Uploaders because retired from DebianGis.
  * Now build-dep on imagemagick because doc generation requires convert tool.
  * Added patch install.dpatch to manage minor inconsistencies in the java
    inatallation scripts. 
  * stamp files are now auto-cleaned.
  * Cleaned debian/rules to be idempotent.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 14 Sep 2009 11:58:45 +0200

postgis (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bumped Standard-Versions to 3.8.0, no changes needed.
  * debian/rules: copy utils/*.pl to the binary package. (Closes: #491154)

 -- Fabio Tranchitella <kobold@debian.org>  Thu, 05 Mar 2009 22:47:15 +0100

postgis (1.3.3-3) unstable; urgency=low

  * Added Vcs-* fields in debian/control.
  * Fixed download URL in debian/copyright.
  * Now it installs the shared lib in a private postgis path and makes a
    hard link in the postgres library path at configure time. That would
    allow coexistence of different flavors of the library which could be
    used by different DBs at run-time and allowing soft/hard-upgrade scripts
    working. (closes: #441794, #441797)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 09 Jun 2008 13:03:04 +0200

postgis (1.3.3-2) unstable; urgency=high

  * Dropped postgresql 8.2 support due to removal in Lenny.
    (closes: #474287)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 06 Jun 2008 23:57:45 +0200

postgis (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Fabio Tranchitella <kobold@debian.org>  Tue, 15 Apr 2008 09:01:58 +0200

postgis (1.3.2-2) unstable; urgency=low

  * Add support for postgresql-8.3. (Closes: #466417, #471689)


